Subject: bug#42032: closed (Re: bug#42032: Acknowledgement (27.0.91; Allow Lisp_User_Ptr to declare which LispObject it has reference to))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Aug 2020 00:41:04 +0000

Your bug report

#42032: 27.0.91; Allow Lisp_User_Ptr to declare which LispObject it has reference to

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42032: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42032
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42032: Acknowledgement (27.0.91; Allow Lisp_User_Ptr to declare which LispObject it has reference to)
From: Stefan Kangas <[email-masked]>
To: yyoncho <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Aug 2020 17:40:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

yyoncho <[email-masked]> writes:

> I found a solution to the problem so it is fine to be closed.
> I am not sure how to do that in debbugs.

OK, I'm closing this bug report now.

Best regards,
Stefan Kangas

Subject: 27.0.91; Allow Lisp_User_Ptr to declare which LispObject it has reference to
From: Ivan Yonchovski <[email-masked]>
To: [email-masked]
Date: Wed, 24 Jun 2020 19:59:01 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

This will using Lisp_User_Ptr for lazy computation. Here it is sample
flow:

(let ((lazy (my-module-function)))
  (my-module-get lazy "foo") ;; returns "bar"
  (my-module-get lazy "foo") ;; returns "bar"
  ...
  )

ATM it is not possible to cache "bar" in lazy because it will be garbage
collected.

Thanks,
Ivan